+++
title = "Abdullah Tarawneh"
summary = "**Abdullah Tarawneh** is an information architect, designer, developer, photographer, and all-around creative, especially for the web."
tags = ["abdullah", "tarawneh", "birmingham", "hoover", "alabama", "design", "designer", "web", "developer", "freelance", "freelancer", "photography", "photographer", "technical writer", "creative", "consultant"]
+++

## h-card

{{< hcard-full >}}

## Professional work

<span style="margin-left: 2em; font-style: italic">Main page: [Work](/work)</span>

Abdullah Tarawneh is currently available for work.

### Mastodon documentation

<span style="margin-left: 2em; font-style: italic">Main page: [Mastodon](/work/mastodon)</span>

In August 2019, Abdullah Tarawneh offered their services to completely revamp the documentation for Mastodon, while also writing or rewriting significant portions of it. From the beginning, they developed an information architecture based on the various user personas that would be reading the documentation -- end users, administrators, contributors, client developers, and protocol implementers. Abdullah Tarawneh developed each persona into a section with its own narrative journey. Following this, they wrote out the missing parts of the documentation.

Abdullah Tarawneh was contracted again in late 2022 to help update the content of the documentation for the monumentous v4.0 update of Mastodon.

### Senior Technical Writer / Product Knowledge Curator at Trilogy

<span style="margin-left: 2em; font-style: italic">Main page: [Trilogy](/work/trilogy)</span>

From May 2021 through December 2021, Abdullah Tarawneh was contracted as a Product Knowledge Curator for Trilogy. In this role, they managed the knowledge bases of numerous products all at once. Being responsible for several products under the banner of Central Support meant that they had to quickly and rapidly learn new products with limited information. They were tasked with analyzing customer support tickets one by one, in order to document the problems and solutions faced by actual customers. The resulting analysis would be used to write a clear and concise solution article, and the troubleshooting steps involved in reaching that solution would be compiled across several tickets into a troubleshooting article that would aid agents in disambiguating similar issues. Based on these articles, Abdullah Tarawneh created training units within a learning management system consisting of either a test or a task based on each article/ticket pair.

## Free software contributions

<span style="margin-left: 2em; font-style: italic">Main page: [Code](/code)</span>

Abdullah Tarawneh has been active in the world of open source and free software since at least 2017.

### Involvement with the fediverse

As a power user, Abdullah Tarawneh quickly got involved in discussions on the GitHub issue tracker for Mastodon, Pixelfed, and other fediverse projects.

## Quotes about the subject

{{< figquote cite="a former classmate" >}}
It's scary how much you know.
{{< /figquote >}}

{{< figquote cite="an electrician" >}}
You're the first person I've met that keeps a spreadsheet of their lightbulbs.
{{< /figquote >}}

{{< figquote cite="a social networking acquaintance" >}}
VERY MUCH not garbage [...] a worthwhile human
{{< /figquote >}}

{{< figquote cite="a professional colleague" >}}
Honestly, I trust your judgement more than I trust my own.
{{< /figquote >}}